import { getElementId, randomCode, objAssign } from "../../plugins/utils";

const MODEL = {
  type: "GUTTER",
  x: 0,
  y: 0,
  w: 40,
  h: 600,
  content: "装订线",
  direction: "left",
};

const getModel = (presetData) => {
  const model = objAssign(MODEL, presetData);
  model.id = getElementId();
  model.key = randomCode();

  return model;
};

export { MODEL, getModel };
